package ink.wgink.pojo.pos;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: RolePO
 * @Description: 角色
 * @Author: WangGeng
 * @Date: 2021/2/25 13:26
 * @Version: 1.0
 **/
public class RolePO implements Serializable {

    private static final long serialVersionUID = -7751365464386221023L;
    @ApiModelProperty(name = "departmentId", value = "角色ID")
    private String roleId;
    @ApiModelProperty(name = "roleParentId", value = "上级角色ID")
    private String roleParentId;
    @ApiModelProperty(name = "roleParentName", value = "上级角色名称")
    private String roleParentName;
    @ApiModelProperty(name = "isParent", value = "是否是上级")
    private Boolean isParent;
    @ApiModelProperty(name = "roleName", value = "角色名称")
    private String roleName;
    @ApiModelProperty(name = "roleSummary", value = "角色说明")
    private String roleSummary;
    @ApiModelProperty(name = "roleCode", value = "角色编码")
    private String roleCode;
    @ApiModelProperty(name = "roleDataRight", value = "角色数据类型")
    private String roleDataRight;

    public String getRoleId() {
        return roleId == null ? "" : roleId.trim();
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    public String getRoleParentId() {
        return roleParentId == null ? "" : roleParentId.trim();
    }

    public void setRoleParentId(String roleParentId) {
        this.roleParentId = roleParentId;
    }

    public String getRoleParentName() {
        return roleParentName == null ? "" : roleParentName.trim();
    }

    public void setRoleParentName(String roleParentName) {
        this.roleParentName = roleParentName;
    }

    public Boolean getParent() {
        return isParent;
    }

    public void setParent(Boolean parent) {
        isParent = parent;
    }

    public String getRoleName() {
        return roleName == null ? "" : roleName.trim();
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getRoleSummary() {
        return roleSummary == null ? "" : roleSummary.trim();
    }

    public void setRoleSummary(String roleSummary) {
        this.roleSummary = roleSummary;
    }

    public String getRoleCode() {
        return roleCode == null ? "" : roleCode.trim();
    }

    public void setRoleCode(String roleCode) {
        this.roleCode = roleCode;
    }

    public String getRoleDataRight() {
        return roleDataRight == null ? "" : roleDataRight.trim();
    }

    public void setRoleDataRight(String roleDataRight) {
        this.roleDataRight = roleDataRight;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"roleId\":\"")
                .append(roleId).append('\"');
        sb.append(",\"roleParentId\":\"")
                .append(roleParentId).append('\"');
        sb.append(",\"roleParentName\":\"")
                .append(roleParentName).append('\"');
        sb.append(",\"isParent\":")
                .append(isParent);
        sb.append(",\"roleName\":\"")
                .append(roleName).append('\"');
        sb.append(",\"roleSummary\":\"")
                .append(roleSummary).append('\"');
        sb.append(",\"roleCode\":\"")
                .append(roleCode).append('\"');
        sb.append(",\"roleDataRight\":\"")
                .append(roleDataRight).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
